Subject: Re: [PATCH 0/3] git help: group common commands by theme

From: Sébastien Guimmara <[email-masked]>
Date: Fri, 08 May 2015 22:08:13 +0200

On 05/08/2015 08:58 PM, Junio C Hamano wrote:
> Sébastien Guimmara  <[email-masked]> writes:
>
>> On 05/07/2015 11:31 AM, Emma Jane Hogbin Westby wrote:
>>
>>>> The most commonly used git commands are:
>>>>
>>>>      * starting a working area:
>>>>         clone      Clone a repository into a new directory
>>>>         init       Create an empty Git repository or reinitialize [...]
>>>>
>>>>      * working on the current change:
>>>>         add        Add file contents to the index
>>>>         reset      Reset current HEAD to the specified state
>>> I could not live without status at this stage, and status always tells
>>> me what I should do next. I'm tempted to see it up here instead...
>>
>> The layout was not designed to be workflow oriented (even if it appears
>> so), but rather theme oriented.
>
> I tend to agree with Emma here; even if your original ordering was
> not using the workflow as the grouping criterion, that is something
> that can easily be fixed, I would think.
>
> After all, the very original did not categorize and sorted
> alphabetically, so there is no room for the "we chose to be
> theme-oriented (I am not sure what it means, though) and a major
> redesign at this point will confuse users" kind of resistance to
> come into the picture.  At least not yet.
>
> Thanks.
>

Exactly. The new version will be workflow-oriented.

By "theme-oriented", I mean that the group order does not necessarily
follow a "typical workflow" chronological order, even though it was
heavily implied. I should emphasize this "workflow" thing in the next
patch.